# This file created by conda-build 3.17.7
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/conda-build-3.17.8-python_3.7-on-linux_canary, last modified Mon Jan 28 18:38:45 2019
# ------------------------------------------------

package:
    name: conda-build
    version: 3.17.8
source:
    fn: conda-build-3.17.8.tar.gz
    sha256: 4041cbe33b3e67966725abf816e94e964f730590faafc1201166b852a58c2133
    url: https://github.com/conda/conda-build/releases/download/3.17.8/3.17.8.tar.gz
build:
    entry_points:
        - conda-build = conda_build.cli.main_build:main
        - conda-convert = conda_build.cli.main_convert:main
        - conda-debug = conda_build.cli.main_debug:main
        - conda-develop = conda_build.cli.main_develop:main
        - conda-index = conda_build.cli.main_index:main
        - conda-inspect = conda_build.cli.main_inspect:main
        - conda-metapackage = conda_build.cli.main_metapackage:main
        - conda-render = conda_build.cli.main_render:main
        - conda-skeleton = conda_build.cli.main_skeleton:main
    number: '0'
    string: py37_0
requirements:
    host:
        - ca-certificates 2018.12.5 0
        - certifi 2018.11.29 py37_0
        - libedit 3.1.20181209 hc058e9b_0
        - libffi 3.2.1 hd88cf55_4
        - libgcc-ng 8.2.0 hdf63c60_1
        - libstdcxx-ng 8.2.0 hdf63c60_1
        - ncurses 6.1 he6710b0_1
        - openssl 1.1.1a h7b6447c_0
        - pip 18.1 py37_0
        - python 3.7.2 h0371630_0
        - readline 7.0 h7b6447c_5
        - setuptools 40.6.3 py37_0
        - sqlite 3.26.0 h7b6447c_0
        - tk 8.6.8 hbc83047_0
        - wheel 0.32.3 py37_0
        - xz 5.2.4 h14c3975_4
        - zlib 1.2.11 h7b6447c_3
    run:
        - beautifulsoup4
        - chardet
        - conda >=4.3
        - filelock
        - glob2 >=0.6
        - jinja2
        - patchelf
        - pkginfo
        - psutil
        - py-lief
        - python >=3.7,<3.8.0a0
        - python-libarchive-c
        - pytz
        - pyyaml
        - six
        - tqdm
    run_constrained:
        - conda-verify  >=3.1.0
test:
    commands:
        - type -P conda-build
        - conda-build -h
        - type -P conda-convert
        - conda-convert -h
        - type -P conda-develop
        - type -P conda-debug
        - conda-develop -h
        - type -P conda-index
        - conda-index -h
        - type -P conda-inspect
        - conda-inspect linkages -h \| grep "--name ENVIRONMENT"
        - conda-inspect -h
        - type -P conda-metapackage
        - conda-metapackage -h
        - type -P conda-render
        - conda-render -h
        - type -P conda-skeleton
        - conda-skeleton -h
        - python test_bdist_conda_setup.py bdist_conda --help
    files:
        - test_bdist_conda_setup.py
    imports:
        - conda_build
about:
    description: 'Conda-build contains commands and tools to allow you to build your
        own

        packages for conda.

        '
    dev_url: https://github.com/conda/conda-build
    doc_url: http://conda.pydata.org/docs/
    home: https://github.com/conda/conda-build
    license: BSD 3-Clause
    license_family: BSD
    license_file: LICENSE.txt
    summary: tools for building conda packages
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - CJ-Wright
        - jakirkham
        - jjhelmus
        - mingwandroid
        - msarahan
        - mwcraig
        - ocefpaf
        - patricksnape
        - pelson
        - scopatz
        - stuertz
